--- title: "getTableProperties" slug: "analytics-datacatalog-table-gettableproperties" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-table-gettableproperties" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getTableProperties Available in VPC Get table property details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs/{catalogId}/databases/{databaseName}/tables/{tableName}/properties | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `databaseName` | String | Required | Database name - See [getDatabases](/docs/en/analytics-datacatalog-database-getdatabases). | | `tableName` | String | Required | Table name - See [getTables](/docs/en/analytics-datacatalog-table-gettables). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases/default/tables/atmosphere_data/properties' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `storageFormatInfo` | Object | - | Storage format information | | `storageFormatInfo.inputFormat` | String | - | Data read format | | `storageFormatInfo.outputFormat` | String | - | Data output format | | `storageFormatInfo.serializationLib` | String | - | Serialization and deserialization library | | `serdeParams` | Object | - | SerDe parameter | | `serdeParams.quoteChar` | String | - | Data recognition symbol - Displayed if data is a CSV file | | `serdeParams.escapeChar` | String | - | Data recognition removal character - Displayed if data is a CSV file | | `serdeParams.separatorChar` | String | - | Schema determination delimiter - Displayed if data is a CSV file | | `tableParams` | Object | - | Table parameter | | `tableParams.EXTERNAL` | String | - | External storage status of the table - `TRUE` \| `FALSE` - `TRUE`: Externally stored - `FALSE`: Internally stored | | `tableParams.compressionType` | String | - | Compressed file extension - Displayed if the scan target is a compressed file | | `tableParams.clusterNo` | String | - | DB service number - Displayed if the scan target is database | | `tableParams.connectionId` | String | - | Connection ID - Displayed if a connection exists | | `tableParams.connectionName` | String | - | Connection name - Displayed if a connection exists | | `tableParams.created_time` | String | - | Table creation date and time - Unix timestamp format | | `tableParams.dataFormat` | String | - | Data format | | `tableParams.dataType` | String | - | Data type | | `tableParams.delimiter` | String | - | Delimiter - Displayed if data is a CSV file | | `tableParams.isDirectory` | String | - | Whether the scan target is a directory - `TRUE` \| `FALSE` - `TRUE`: Directory - `FALSE`: Non-directory | | `tableParams.last_modified_time` | String | - | Update date and time - Unix timestamp format | | `tableParams.metadata_location` | String | - | Metadata file path - Displayed for a Iceberg table | | `tableParams.numFiles` | String | - | Total number of scanned files - Displayed if the scan target is a directory | | `tableParams.objectstorageContentLength` | String | - | Object length (byte) | | `tableParams.objectstorageContentType` | String | - | Object data type | | `tableParams.objectstorageLastModified` | String | - | Object update date and time - Unix timestamp format | | `tableParams.partitioningScheme` | String | - | Partitioning schema - Displayed if a partition is recognized in the scan target | | `tableParams.scannerId` | String | - | Scanner ID | | `tableParams.scannerName` | String | - | Scanner name | | `tableParams.skip.header.line.count` | String | - | Number of excluded header lines | | `tableParams.totalSize` | String | - | Total capacity of scanned data (byte) - Displayed if the scan target is a directory | | `tableParams.transient_lastDdlTime` | String | - | Table DDL update date and time - Unix timestamp format | Note The property information displayed may vary depending on the table type. For more information about the properties of Apache Iceberg tables, see [Iceberg Table Metadata](https://iceberg.apache.org/spec/?utm_source=chatgpt.com#table-metadata). #### For RDB data The following describes the additional properties displayed for RDB (MySQL, MSSQL, PostgreSQL) data. | Field | Type | Required | Description | | --- | --- | --- | --- | | `{dbType}Collation` | String | - | Set string sorting. | | `{dbType}DataSize` | String | - | Data size | | `{dbType}IndexSize` | String | - | Index size | | `{dbType}Indexes` | String | - | Index structure | | `{dbType}Rows` | String | - | Number of rows (records) | | `{dbType}TableSize` | String | - | Total table size | #### For MongoDB data The following describes the additional properties displayed for MongoDB data. | Field | Type | Required | Description | | --- | --- | --- | --- | | `mongodbAvgObjSize` | String | - | Collection average object size | | `mongodbFreeStorageSize` | String | - | Collection free storage capacity | | `mongodbIndexSize` | String | - | Collection index size | | `mongodbIndexes` | String | - | Collection index information | | `mongodbRowCount` | String | - | Number of collection rows (records) | | `mongodbSize` | String | - | Collection size - Uncompressed size - Excluding index size | | `mongodbStorageSize` | String | - | Storage size allocated to the collection | | `mongodbTotalSize` | String | - | Total disk capacity of the collection | ### Response status codes For information about the HTTP status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "storageFormatInfo": { "inputFormat": "org.apache.hadoop.mapred.TextInputFormat", "outputFormat": "org.apache.hadoop.hive.ql.io.HiveIgnoreKeyTextOutputFormat", "serializationLib": "org.apache.hadoop.hive.serde2.OpenCSVSerde" }, "serdeParams": { "quoteChar": "\"", "escapeChar": "\\", "separatorChar": "," }, "tableParams": { "EXTERNAL": "TRUE", "compressionType": "", "created_time": "1743125379", "dataFormat": "csv", "dataType": "file", "isDirectory": "TRUE", "objectstorageContentLength": "2783", "objectstorageContentType": "text/csv", "objectstorageLastModified": "1743125017", "partitioningScheme": "hive", "scannerId": "9**", "scannerName": "scan_airQuality", "skip.header.line.count": "1", "transient_lastDdlTime": "1743125379" } } ```